<?php
/**
 * Thankyou page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/thankyou.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.7.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$mts_options = get_option( MTS_THEME_NAME );

if ( $order ) : ?>

	<?php if ( $order->has_status( 'failed' ) ) : ?>

		<p><?php _e( 'Unfortunately your order cannot be processed as the originating bank/merchant has declined your transaction.', 'mythemeshop' ); ?></p>

		<p><?php
			if ( is_user_logged_in() )
				_e( 'Please attempt your purchase again or go to your account page.', 'mythemeshop' );
			else
				_e( 'Please attempt your purchase again.', 'mythemeshop' );
		?></p>

		<p>
			<a href="<?php echo esc_url( $order->get_checkout_payment_url() ); ?>" class="button pay"><?php _e( 'Pay', 'mythemeshop' ) ?></a>
			<?php if ( is_user_logged_in() ) : ?>
			<a href="<?php echo esc_url( get_permalink( wc_get_page_id( 'myaccount' ) ) ); ?>" class="button pay"><?php _e( 'My Account', 'mythemeshop' ); ?></a>
			<?php endif; ?>
		</p>

	<?php else : ?>

		<div class="message-big completed">

			<span class="fa-stack shopping-cart-stack">
				<i class="fa fa-shopping-cart shopping-cart-stack-base"></i>
				<i class="fa fa-check-circle"></i>
			</span>

			<h1><?php _e( 'Thank you for you Order!', 'mythemeshop' ); ?></h1>

			<p><?php _e( 'Your have successfully completed the order', 'mythemeshop' ); ?></p>

			<p class="return-to-shop"><a class="button wc-backward" href="<?php echo apply_filters( 'woocommerce_return_to_shop_redirect', get_permalink( wc_get_page_id( 'shop' ) ) ); ?>"><?php _e( 'Keep Shopping', 'mythemeshop' ) ?></a></p>

			<p><a class="toggle-receipt" href="#"><?php _e( 'View Receipt', 'mythemeshop' ) ?></a></p>

			<ul class="order_details">
				<li class="order">
					<?php _e( 'Order:', 'mythemeshop' ); ?>
					<strong><?php echo $order->get_order_number(); ?></strong>
				</li>
				<li class="date">
					<?php _e( 'Date:', 'mythemeshop' ); ?>
					<strong><?php echo date_i18n( get_option( 'date_format' ), strtotime( $order->get_date_created() ) ); ?></strong>
				</li>
				<li class="total">
					<?php _e( 'Total:', 'mythemeshop' ); ?>
					<strong><?php echo $order->get_formatted_order_total(); ?></strong>
				</li>
				<?php if ( $order->get_payment_method_title() ) : ?>
				<li class="method">
					<?php _e( 'Payment method:', 'mythemeshop' ); ?>
					<strong><?php echo $order->get_payment_method_title(); ?></strong>
				</li>
				<?php endif; ?>
			</ul>
			<div class="clear"></div>

		</div>

	<?php endif; ?>

	<?php do_action( 'woocommerce_thankyou_' . $order->get_payment_method(), $order->get_id() ); ?>
	<?php do_action( 'woocommerce_thankyou', $order->get_id() ); ?>

<?php else : ?>

	<div class="message-big completed">

		<span class="fa-stack shopping-cart-stack">
			<i class="fa fa-shopping-cart shopping-cart-stack-base"></i>
			<i class="fa fa-check-circle"></i>
		</span>

		<h1><?php _e( 'Thank you for you Order!', 'mythemeshop' ); ?></h1>

		<p><?php _e( 'Your have successfully completed the order', 'mythemeshop' ); ?></p>

		<p class="return-to-shop"><a class="button wc-backward" href="<?php echo apply_filters( 'woocommerce_return_to_shop_redirect', get_permalink( wc_get_page_id( 'shop' ) ) ); ?>"><?php _e( 'Keep Shopping', 'mythemeshop' ) ?></a></p>

	</div>

<?php endif; ?>
