<?php
/**
 * The custom template for displaying product content within carousel loops.
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop, $wide_first_thumb;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
$merge = '';

if ( is_home() && 0 == ( $woocommerce_loop['loop'] - 1 ) && $wide_first_thumb ) {
	$classes[] = 'wide-item';
	$merge = ( is_home() && 0 == ( $woocommerce_loop['loop'] - 1 ) ) ? ' data-merge="2"' : '';
}

//if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	//$classes[] = 'first';
//if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	//$classes[] = 'last';
?>
<div <?php post_class( $classes ); ?>>

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>

	<div class="product-wrap"<?php echo $merge; ?>>
		<a href="<?php the_permalink(); ?>">

			<?php
				/**
				 * woocommerce_before_shop_loop_item_title hook
				 *
				 * @hooked woocommerce_show_product_loop_sale_flash - 10
				 * @hooked woocommerce_template_loop_product_thumbnail - 10
				 */
				do_action( 'woocommerce_before_shop_loop_item_title' );
			?>
		</a>
		<h3 class="product-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
		<div class="product-data">
			<?php
				/**
				 * woocommerce_after_shop_loop_item_title hook
				 *
				 * @hooked woocommerce_template_loop_rating - 5
				 * @hooked woocommerce_template_loop_price - 10
				 */
				do_action( 'woocommerce_after_shop_loop_item_title' );
			?>
			<div class="product-buttons">
				<?php echo mts_wishlist_button(); ?>
				<?php mts_compare_button(); ?>
				<?php woocommerce_template_loop_add_to_cart(); ?>
			</div>
		</div>
	</div>

	<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>

</div>